/*
 * Copyright © 2015 Red Hat, Inc
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authors:
 *       Alexander Larsson <alexl@redhat.com>
 */

#ifndef __KAIMING_H__
#define __KAIMING_H__

#define __KAIMING_H_INSIDE__

#include <gio/gio.h>

#include <kaiming-version-macros.h>
#include <kaiming-enum-types.h>
#include <kaiming-error.h>
#include <kaiming-portal-error.h>
#include <kaiming-ref.h>
#include <kaiming-installed-ref.h>
#include <kaiming-remote-ref.h>
#include <kaiming-related-ref.h>
#include <kaiming-bundle-ref.h>
#include <kaiming-remote.h>
#include <kaiming-installation.h>
#include <kaiming-transaction.h>
#include <kaiming-instance.h>

#undef __KAIMING_H_INSIDE__

#endif /* __KAIMING_H__ */
